Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1564028 (CVE-2017-0750) - CVE-2017-0750 kernel: Out-of-bounds write in f2fs allows code execution when mounted malicious file system
Summary: CVE-2017-0750 kernel: Out-of-bounds write in f2fs allows code execution when ...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-0750
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1564029
TreeView+ depends on / blocked
 
Reported: 2018-04-05 07:07 UTC by Adam Mariš
Modified: 2021-02-17 00:33 UTC (History)
46 users (show)

Fixed In Version: kernel 4.4.73
Doc Type: If docs needed, set a value
Doc Text:
It was discovered that an out-of-bounds write vulnerability existed in the Flash-Friendly File System (f2fs) in the Linux kernel. An attacker could construct a malicious file system that, when mounted, could cause a denial of service (system crash) or possibly execute arbitrary code.
Clone Of:
Environment:
Last Closed: 2018-04-10 13:42:28 UTC


Attachments (Terms of Use)

Description Adam Mariš 2018-04-05 07:07:49 UTC
It was discovered that an out-of-bounds write vulnerability existed in the Flash-Friendly File System (f2fs) in the Linux kernel. An attacker could construct a malicious file system that, when mounted, could cause a denial of service (system crash) or possibly execute arbitrary code.

An upstream fix:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=9a59b62fd88196844cee5fff851bee2cfd7afb6e


Note You need to log in before you can comment on or make changes to this bug.